## demo.webcab.chat.gui
Class TextScrollSelectFlagPropertyEditor

    java.lang.Object
      |
      +--java.beans.PropertyEditorSupport
            |
            +--demo.webcab.chat.gui.TextScrollSelectFlagPropertyEditor

All Implemented Interfaces:
  java.beans.PropertyEditor

public class TextScrollSelectFlagPropertyEditor
extends java.beans.PropertyEditorSupport

The property editor class for `ScrollArea` for the `selectFlag` property.

Author:
  WebCab Components
See Also:
  `TextScroll`

Constructor Summary
`TextScrollSelectFlagPropertyEditor()`

Method Summary
`java.lang.String` `getAsText()`
`java.lang.String[]` `getTags()`
`java.lang.Object` `getValue()`
`void` `setAsText(java.lang.String text)`
`void` `setValue(java.lang.Object value)`

Methods inherited from class java.beans.PropertyEditorSupport
`addPropertyChangeListener, firePropertyChange, getCustomEditor, getJavaInitializationString, isPaintable, paintValue, removePropertyChangeListener, supportsCustomEditor`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TextScrollSelectFlagPropertyEditor

    public TextScrollSelectFlagPropertyEditor()

Method Detail

### setValue

    public void setValue(java.lang.Object value)

  Overrides:
    `setValue` in class `java.beans.PropertyEditorSupport`

### getValue

    public java.lang.Object getValue()

  Overrides:
    `getValue` in class `java.beans.PropertyEditorSupport`

### setAsText

    public void setAsText(java.lang.String text)
                   throws java.lang.IllegalArgumentException

  Overrides:
    `setAsText` in class `java.beans.PropertyEditorSupport`

### getAsText

    public java.lang.String getAsText()

  Overrides:
    `getAsText` in class `java.beans.PropertyEditorSupport`

### getTags

    public java.lang.String[] getTags()

  Overrides:
    `getTags` in class `java.beans.PropertyEditorSupport`